<form [formGroup]="form" (ngSubmit)="save()">

  <div class="container">

    <!-- name -->
    <div class="form-group row mt-2">
      <label class="col-2 col-form-label">Nombre</label>
      <div class="col-8">
        <input class="form-control"
               type="text"
               placeholder="Nombre"
               maxlength="30"
               formControlName="name"
               [class.is-invalid]="nameNoValid">
               <small *ngIf="nameNoValid" class="text-danger">
                Ingrese nombre
               </small>
        </div>
    </div>

    <!-- lastName -->
    <div class="form-group row mt-2">
      <label class="col-2 col-form-label">Apellidos</label>
      <div class="col-8">

        <input class="form-control"
               type="text"
               placeholder="Apellidos"
               maxlength="30"
               formControlName="lastName"
               [class.is-invalid]="lastNameNoValid">
               <small *ngIf="lastNameNoValid" class="text-danger">
                Ingrese sus apellidos
               </small>
      </div>
    </div>

    <!-- date -->
    <div class="form-group row mt-2">
        <label class="col-2 col-form-label">Fecha de nacimiento</label>
        <div class="col-8">
  
          <input class="form-control"
                 type="date"
                 placeholder="Fecha de nacimiento"
                 formControlName="date"
                 [class.is-invalid]="dateNoValid">
                 <small *ngIf="dateNoValid" class="text-danger">
                  Ingrese su fecha de nacimiento
                 </small>
        </div>
    </div>
      
    <div class="form-group row">
      <label class="col-2 col-form-label">&nbsp;</label>
      <div class="input-group col-md-8">
        <button type="submit" class="btn btn btn-outline-dark">
          Guardar
        </button>
      </div>
    </div>

  </div>
</form>

